Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
donna128.h File Reference
`#include <botan/mul128.h>`

Go to the source code of this file.

## Classes
class | Botan::donna128

## Namespaces
| Botan

## Functions
uint64_t | Botan::carry_shift (const donna128 &a, size_t shift)
uint64_t | Botan::combine_lower (const donna128 &a, size_t s1, const donna128 &b, size_t s2)
donna128 | Botan::operator* (const donna128 &x, uint64_t y)
donna128 | Botan::operator+ (const donna128 &x, const donna128 &y)
donna128 | Botan::operator+ (const donna128 &x, uint64_t y)
donna128 | Botan::operator| (const donna128 &x, const donna128 &y)